---
layout: docs
page_title: 'Commands: operator raft info'
description: |
  Display Raft server state.
---

# Command: operator raft info

The `raft info` command is used to display summary information about the
raft logs persisted in the Nomad [data directory].

This command requires file system permissions to access the data
directory on disk. The Nomad server locks access to the data
directory, so this command cannot be run on a data directory that is
being used by a running Nomad server.

~> **Warning:** This is a low-level debugging tool and not subject to
  Nomad's usual backward compatibility guarantees.

## Usage

```plaintext
nomad operator raft info <path to data dir>
```

## Examples

An example output is as follows:

```shell-session
$ sudo nomad operator raft info /var/nomad/data
path:        /var/nomad/data/server/raft/raft.db
length:      10
first index: 1
last index:  10
```

[data directory]: /nomad/docs/configuration#data_dir
